searchNodes=[{"doc":"BeamMeta is a library to programmatically get information related to Beam languages. So far the library has the following modules: BeamMeta.Compatibility.OtpElixir : compatibility between Elixir and Erlang/OTP versions. BeamMeta.Release , BeamMeta.Release.Elixir , BeamMeta.Release.Otp : all the information related to releases such as published versions, release condidates, latest Elixir version, etc. Additionally, there is a parent library called BeamLangsMetaData which contains the udpated data used by this library such as the compatibility tables, and release information, and this library is based on.","ref":"BeamMeta.html","title":"BeamMeta","type":"module"},{"doc":"It is a string that represents an Elixir version. It could be &quot;MAJOR.MINOR&quot; or a fully qualified version &quot;MAJOR.MINOR.PATCH&quot; , for example: &quot;1.2&quot; or &quot;1.2.3&quot; .","ref":"BeamMeta.html#t:elixir_version_key/0","title":"BeamMeta.elixir_version_key/0","type":"type"},{"doc":"An Elixir version in either a Version.t/0 format or a string representation of it.","ref":"BeamMeta.html#t:elixir_version_representation/0","title":"BeamMeta.elixir_version_representation/0","type":"type"},{"doc":"A non-empty keyword list with key_type specified. For example: nonempty_keyword(version :: atom(), map()) .","ref":"BeamMeta.html#t:nonempty_keyword/2","title":"BeamMeta.nonempty_keyword/2","type":"type"},{"doc":"It is an integer that represents the Erlang/OTP major version. For example: 24 .","ref":"BeamMeta.html#t:otp_version_key/0","title":"BeamMeta.otp_version_key/0","type":"type"},{"doc":"An Erlang/OTP version in either a string or an Version.t/0 . A note on Erlang/OTP versions: The format for these versions does not align with SemVer versions, which is the format supported by the Elixir Version module. In order to offer the benefits of interoperability with the Elixir language, we convert these versions to v:Version.t/0 , so for example the version &quot;23.3.4.10&quot;, we convert it to version #Version&lt;23.3.4-10&gt; .","ref":"BeamMeta.html#t:otp_version_representation/0","title":"BeamMeta.otp_version_representation/0","type":"type"},{"doc":"Whether the release is a prerelease or a final release.","ref":"BeamMeta.html#t:release_kind/0","title":"BeamMeta.release_kind/0","type":"type"},{"doc":"Compatibility between Erlang/OTP and Elixir. Main documentation page: Compatibility between Elixir and Erlang/OTP","ref":"BeamMeta.Compatibility.OtpElixir.html","title":"BeamMeta.Compatibility.OtpElixir","type":"module"},{"doc":"Determines whether the given Elang/OTP and Elixir versions are compatible. The results are based on the compatibility table . This function does not check that the Elixir and Erlang/OTP actually exists. elixir_version can be a Version.t/0 or a string. otp_version can be a Version.t/0 , a string or an integer. BeamMeta.Compatibility.OtpElixir.compatible?(&quot;1.11.999&quot;, 24) will return true since Elixir v1.11 is compatible with OTP 24. If you want to make sure the Elixir version actually exist, please use the guards BeamMeta.Release.is_elixir_version/1 . For example: iex&gt; require BeamMeta.Release ...&gt; elixir_version = &quot;1.11.999&quot; ...&gt; BeamMeta.Release . is_elixir_version ( elixir_version ) and BeamMeta.Compatibility.OtpElixir . compatible? ( 24 , elixir_version ) false Examples iex&gt; BeamMeta.Compatibility.OtpElixir . compatible? ( 24 , &quot;1.13&quot; ) true iex&gt; BeamMeta.Compatibility.OtpElixir . compatible? ( 24 , &quot;1.11&quot; ) false iex&gt; BeamMeta.Compatibility.OtpElixir . compatible? ( 24 , &quot;1.11.4&quot; ) true iex&gt; BeamMeta.Compatibility.OtpElixir . compatible? ( 24 , &quot;1.11.999&quot; ) true","ref":"BeamMeta.Compatibility.OtpElixir.html#compatible?/2","title":"BeamMeta.Compatibility.OtpElixir.compatible?/2","type":"function"},{"doc":"Returns a list of all the Elixir releases available for the given Erlang/OTP version. otp_version can be a Version.t/0 , a string, or an integer. return_type determines the type of values returned. These could be: :key : The string by which the Elixir version is identified. Ex: &quot;1.12&quot;. This is the default value is not value is provided. :version : The Elixir version in Version.t/0 format. :version_requirement : The Elixir versions in t:Version.Required.t/0 format. The results are sorted ascendenly. Examples iex&gt; BeamMeta.Compatibility.OtpElixir . elixir_releases ( 21 ) [ &quot;1.6&quot; , &quot;1.7&quot; , &quot;1.8&quot; , &quot;1.9&quot; , &quot;1.10&quot; , &quot;1.10.3&quot; , &quot;1.11&quot; , &quot;1.11.4&quot; ] iex&gt; BeamMeta.Compatibility.OtpElixir . elixir_releases ( &quot;17.1&quot; , :key ) [ &quot;1.0&quot; , &quot;1.0.5&quot; , &quot;1.1&quot; ] &gt; BeamMeta.Compatibility.OtpElixir . elixir_releases ( &quot;17.1&quot; , :version ) [ # Version &lt; 1.0 . 0 &gt; , # Version &lt; 1.0 . 5 &gt; , # Version &lt; 1.1 . 0 &gt; ] &gt; BeamMeta.Compatibility.OtpElixir . elixir_releases ( &quot;17.1&quot; , :version_requirement ) [ # Version.Requirement &lt; ~&gt; 1.0 . 0 &gt; , # Version.Requirement &lt; ~&gt; 1.0 . 5 - 0 &gt; , # Version.Requirement &lt; ~&gt; 1.1 . 0 - 0 &gt; ] iex&gt; BeamMeta.Compatibility.OtpElixir . elixir_releases ( 16 ) [ ]","ref":"BeamMeta.Compatibility.OtpElixir.html#elixir_releases/2","title":"BeamMeta.Compatibility.OtpElixir.elixir_releases/2","type":"function"},{"doc":"Returns a list of all the Erlang/OTP releases available for the givien Elixir version. elixir_version can be a Version.t/0 or a string. return_type determines the type of values returned. These could be: :key : The string by which the Elixir version is identified. This is the default value if no return type is provided. :version : The Elixir version in Version.t/0 format. :version_requirement : The Elixir versions in t:Version.Required.t/0 format. The results are sorted ascendenly. Examples # MAJOR.MINOR iex&gt; BeamMeta.Compatibility.OtpElixir . otp_releases ( &quot;1.11&quot; ) [ 21 , 22 , 23 ] # MAJOR.MINOR.PATCH iex&gt; BeamMeta.Compatibility.OtpElixir . otp_releases ( &quot;1.11.0&quot; ) [ 21 , 22 , 23 ] iex&gt; BeamMeta.Compatibility.OtpElixir . otp_releases ( &quot;1.11.2&quot; ) [ 21 , 22 , 23 ] iex&gt; BeamMeta.Compatibility.OtpElixir . otp_releases ( &quot;1.11.4&quot; ) [ 21 , 22 , 23 , 24 ] iex&gt; BeamMeta.Compatibility.OtpElixir . otp_releases ( &quot;1.11.4&quot; , :key ) [ 21 , 22 , 23 , 24 ] &gt; BeamMeta.Compatibility.OtpElixir . otp_releases ( &quot;1.11.4&quot; , :version ) [ # Version &lt; 21.0 . 0 &gt; , # Version &lt; 22.0 . 0 &gt; , # Version &lt; 23.0 . 0 &gt; , # Version &lt; 24.0 . 0 &gt; ] &gt; BeamMeta.Compatibility.OtpElixir . otp_releases ( &quot;1.11.4&quot; , :version_requirement ) [ # Version.Requirement &lt; ~&gt; 21.0 &gt; , # Version.Requirement &lt; ~&gt; 22.0 &gt; , # Version.Requirement &lt; ~&gt; 23.0 &gt; , # Version.Requirement &lt; ~&gt; 24.0 &gt; ] # Version do not necessarily need to exist. # The results are based on the compaibility table iex&gt; BeamMeta.Compatibility.OtpElixir . otp_releases ( &quot;1.11.999&quot; ) [ 21 , 22 , 23 , 24 ] iex&gt; BeamMeta.Compatibility.OtpElixir . otp_releases ( &quot;1.99.0&quot; ) [ ] iex&gt; BeamMeta.Compatibility.OtpElixir . otp_releases ( &quot;2.0&quot; ) [ ]","ref":"BeamMeta.Compatibility.OtpElixir.html#otp_releases/2","title":"BeamMeta.Compatibility.OtpElixir.otp_releases/2","type":"function"},{"doc":"Returns a map with the compatibility table. Note that this is not a table that contains every release, but a table that represent the MAJOR.MINOR and eventually the MAJOR.MINOR.PATCH releases listed in the page Compatibility between Elixir and Erlang/OTP Examples &gt; BeamMeta.Compatibility.OtpElixir . table ( { :otp , :elixir } ) %{ 17 =&gt; %{ elixir_versions : %{ &quot;1.0&quot; =&gt; %{ version : # Version &lt; 1.0 . 0 &gt; , version_requirement : # Version.Requirement &lt; ~&gt; 1.0 . 0 &gt; } , &quot;1.1&quot; =&gt; %{ version : # Version &lt; 1.1 . 0 &gt; , version_requirement : # Version.Requirement &lt; ~&gt; 1.1 . 0 &gt; } } , version : # Version &lt; 17.0 . 0 &gt; , version_requirement : # Version.Requirement &lt; ~&gt; 17.0 . 0 - 0 &gt; } , 18 =&gt; %{ elixir_versions : %{ &quot;1.0.5&quot; =&gt; %{ version : # Version &lt; 1.0 . 5 &gt; , version_requirement : # Version.Requirement &lt; ~&gt; 1.0 . 5 &gt; } , &quot;1.1&quot; =&gt; %{ ... } , &quot;1.2&quot; =&gt; %{ ... } , &quot;1.3&quot; =&gt; %{ ... } , &quot;1.4&quot; =&gt; %{ ... } , &quot;1.5&quot; =&gt; %{ ... } } , version : # Version &lt; 18.0 . 0 &gt; , version_requirement : # Version.Requirement &lt; ~&gt; 18.0 . 0 - 0 &gt; } , ... % } &gt; BeamMeta.Compatibility.OtpElixir . table ( { :elixir , :otp } ) %{ &quot;1.0&quot; =&gt; %{ otp_versions : %{ 17 =&gt; %{ version : # Version &lt; 17.0 . 0 &gt; , version_requirement : # Version.Requirement &lt; ~&gt; 17.0 &gt; } } , version : # Version &lt; 1.0 . 0 &gt; , version_requirement : # Version.Requirement &lt; ~&gt; 1.0 . 0 &gt; } , &quot;1.0.5&quot; =&gt; %{ ... } , &quot;1.1&quot; =&gt; %{ otp_versions : %{ 17 =&gt; %{ ... } , 18 =&gt; %{ ... } } , version : # Version &lt; 1.1 . 0 &gt; , version_requirement : # Version.Requirement &lt; ~&gt; 1.1 . 0 - 0 &gt; } , ... }","ref":"BeamMeta.Compatibility.OtpElixir.html#table/1","title":"BeamMeta.Compatibility.OtpElixir.table/1","type":"function"},{"doc":"Represents an Elixir version. It could be: a string in the shape of &quot;MAJOR.MINOR&quot; , for example: &quot;1.13&quot; ; a Version.t/0 or string representation of this one, for example: #Version&lt;1.13.0&gt; or &quot;1.13.0&quot; .","ref":"BeamMeta.Compatibility.OtpElixir.html#t:elixir_version/0","title":"BeamMeta.Compatibility.OtpElixir.elixir_version/0","type":"type"},{"doc":"Represents an Erlang/OTP version. It could be: an integer that represents the Erlang/OTP major version, for example: 24 . a Version.t/0 or string representation of this one, for example: #Version&lt;24.0.0&gt; or &quot;24.0.0&quot; .","ref":"BeamMeta.Compatibility.OtpElixir.html#t:otp_version/0","title":"BeamMeta.Compatibility.OtpElixir.otp_version/0","type":"type"},{"doc":"Functions for retrieving information related to Elixir releases. This module does not deal with releases prior to version 1.0.0 .","ref":"BeamMeta.Release.html","title":"BeamMeta.Release","type":"module"},{"doc":"Returns true if version is an existing Elixir prerelease (release candidate). Otherwise it returns false . version could be a string, or Version struct. Allowed in guard tests. Examples iex&gt; version = Version . parse! ( &quot;1.13.0-rc.0&quot; ) ...&gt; BeamMeta.Release . is_elixir_prerelease ( version ) true iex&gt; BeamMeta.Release . is_elixir_prerelease ( &quot;1.13.0-rc.0&quot; ) true iex&gt; BeamMeta.Release . is_elixir_prerelease ( &quot;1.13.0&quot; ) false","ref":"BeamMeta.Release.html#is_elixir_prerelease/1","title":"BeamMeta.Release.is_elixir_prerelease/1","type":"macro"},{"doc":"Returns true if version is an existing Elixir final release. Otherwise it returns false . version could be a string, or Version struct. Allowed in guard tests. Examples iex&gt; version = Version . parse! ( &quot;1.13.0&quot; ) ...&gt; BeamMeta.Release . is_elixir_release ( version ) true iex&gt; BeamMeta.Release . is_elixir_release ( &quot;1.13.0-rc.0&quot; ) false iex&gt; BeamMeta.Release . is_elixir_release ( &quot;1.11.10&quot; ) false","ref":"BeamMeta.Release.html#is_elixir_release/1","title":"BeamMeta.Release.is_elixir_release/1","type":"macro"},{"doc":"Returns true if version is an existing Elixir version, whether it is a final release or a release candidate. Otherwise it returns false . version could be a string, or Version struct. Allowed in guard tests. Examples iex&gt; version = Version . parse! ( &quot;1.13.0&quot; ) ...&gt; BeamMeta.Release . is_elixir_version ( version ) true iex&gt; BeamMeta.Release . is_elixir_version ( &quot;1.13.0-rc.0&quot; ) true iex&gt; BeamMeta.Release . is_elixir_version ( &quot;1.11.10&quot; ) false","ref":"BeamMeta.Release.html#is_elixir_version/1","title":"BeamMeta.Release.is_elixir_version/1","type":"macro"},{"doc":"Returns true if version is an existing Erlang/OTP version. Otherwise it returns false . version is a string. Allowed in guard tests. Examples iex&gt; BeamMeta.Release . is_otp_version ( &quot;21.0&quot; ) true iex&gt; BeamMeta.Release . is_otp_version ( &quot;21.0.0&quot; ) true iex&gt; BeamMeta.Release . is_otp_version ( &quot;10.0&quot; ) false","ref":"BeamMeta.Release.html#is_otp_version/1","title":"BeamMeta.Release.is_otp_version/1","type":"macro"},{"doc":"Functions for retrieving information related to Elixir releases. This module does not deal with releases prior to version 1.0.0 .","ref":"BeamMeta.Release.Elixir.html","title":"BeamMeta.Release.Elixir","type":"module"},{"doc":"Returns the latest stable Elixir version.","ref":"BeamMeta.Release.Elixir.html#latest_version/0","title":"BeamMeta.Release.Elixir.latest_version/0","type":"function"},{"doc":"Returns a map with all the prereleases since Elixir v1.0.0. Examples &gt; BeamMeta.Release.Elixir . prereleases ( ) %{ &quot;1.10.0-rc.0&quot; =&gt; %{ assets : [ %{ content_type : &quot;application/zip&quot; , created_at : ~U[2020-01-07 15:08:43Z] , id : 17188069 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/assets/17188069&quot; , name : &quot;Docs.zip&quot; , size : 2119178 , state : &quot;uploaded&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/download/v1.10.0-rc.0/Docs.zip&quot; } , %{ content_type : &quot;application/zip&quot; , created_at : ~U[2020-01-07 15:08:47Z] , id : 17188070 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/assets/17188070&quot; , name : &quot;Precompiled.zip&quot; , size : 5666120 , state : &quot;uploaded&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/download/v1.10.0-rc.0/Precompiled.zip&quot; } ] , created_at : ~U[2020-01-07 14:10:04Z] , id : 22650172 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/22650172&quot; , prerelease? : true , published_at : ~U[2020-01-07 15:09:40Z] , tarball_url : &quot;https://api.github.com/repos/elixir-lang/elixir/tarball/v1.10.0-rc.0&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/tag/v1.10.0-rc.0&quot; , version : # Version &lt; 1.10 . 0 - rc . 0 &gt; , zipball_url : &quot;https://api.github.com/repos/elixir-lang/elixir/zipball/v1.10.0-rc.0&quot; } , ... }","ref":"BeamMeta.Release.Elixir.html#prereleases/0","title":"BeamMeta.Release.Elixir.prereleases/0","type":"function"},{"doc":"Returns a map which contains all the information that we find relevant from releases data. Includes data from final releases and preseleases starting from Elixir version 1.0.0. Examples &gt; BeamMeta.Release.Elixir . release_data ( ) %{ &quot;1.12.1&quot; =&gt; %{ assets : [ %{ content_type : &quot;application/zip&quot; , created_at : ~U[2021-05-28 15:51:16Z] , id : 37714034 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/assets/37714034&quot; , name : &quot;Docs.zip&quot; , size : 5502033 , state : &quot;uploaded&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/download/v1.12.1/Docs.zip&quot; } , %{ content_type : &quot;application/zip&quot; , created_at : ~U[2021-05-28 15:51:27Z] , id : 37714052 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/assets/37714052&quot; , name : &quot;Precompiled.zip&quot; , size : 6049663 , state : &quot;uploaded&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/download/v1.12.1/Precompiled.zip&quot; } ] , created_at : ~U[2021-05-28 15:34:14Z] , id : 43775368 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/43775368&quot; , prerelease? : false , published_at : ~U[2021-05-28 15:51:54Z] , tarball_url : &quot;https://api.github.com/repos/elixir-lang/elixir/tarball/v1.12.1&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/tag/v1.12.1&quot; , version : # Version &lt; 1.12 . 1 &gt; , zipball_url : &quot;https://api.github.com/repos/elixir-lang/elixir/zipball/v1.12.1&quot; } , ... }","ref":"BeamMeta.Release.Elixir.html#release_data/0","title":"BeamMeta.Release.Elixir.release_data/0","type":"function"},{"doc":"Returns a map which contains all the information that we find relevant from releases data that matches the elixir_version_requirement . Includes data from final releases and preseleases starting from Elixir version 1.0.0. options are options supported by Version.match?/3 . Currently the only key supported is :allow_pre which accepts true or false values. Defaults to true . Examples &gt; BeamMeta.Release.Elixir . release_data ( &quot;~&gt; 1.12&quot; , allow_pre : false ) %{ &quot;1.12.1&quot; =&gt; %{ assets : [ %{ content_type : &quot;application/zip&quot; , created_at : ~U[2021-05-28 15:51:16Z] , id : 37714034 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/assets/37714034&quot; , name : &quot;Docs.zip&quot; , size : 5502033 , state : &quot;uploaded&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/download/v1.12.1/Docs.zip&quot; } , %{ content_type : &quot;application/zip&quot; , created_at : ~U[2021-05-28 15:51:27Z] , id : 37714052 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/assets/37714052&quot; , name : &quot;Precompiled.zip&quot; , size : 6049663 , state : &quot;uploaded&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/download/v1.12.1/Precompiled.zip&quot; } ] , created_at : ~U[2021-05-28 15:34:14Z] , id : 43775368 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/43775368&quot; , prerelease? : false , published_at : ~U[2021-05-28 15:51:54Z] , tarball_url : &quot;https://api.github.com/repos/elixir-lang/elixir/tarball/v1.12.1&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/tag/v1.12.1&quot; , version : # Version &lt; 1.12 . 1 &gt; , zipball_url : &quot;https://api.github.com/repos/elixir-lang/elixir/zipball/v1.12.1&quot; } , ... }","ref":"BeamMeta.Release.Elixir.html#release_data/2","title":"BeamMeta.Release.Elixir.release_data/2","type":"function"},{"doc":"Returns a map with only final releases since Elixir v1.0.0. Examples &gt; BeamMeta.Release.Elixir . releases ( ) %{ &quot;1.12.1&quot; =&gt; %{ assets : [ %{ content_type : &quot;application/zip&quot; , created_at : ~U[2021-05-28 15:51:16Z] , id : 37714034 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/assets/37714034&quot; , name : &quot;Docs.zip&quot; , size : 5502033 , state : &quot;uploaded&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/download/v1.12.1/Docs.zip&quot; } , %{ content_type : &quot;application/zip&quot; , created_at : ~U[2021-05-28 15:51:27Z] , id : 37714052 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/assets/37714052&quot; , name : &quot;Precompiled.zip&quot; , size : 6049663 , state : &quot;uploaded&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/download/v1.12.1/Precompiled.zip&quot; } ] , created_at : ~U[2021-05-28 15:34:14Z] , id : 43775368 , json_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/43775368&quot; , prerelease? : false , published_at : ~U[2021-05-28 15:51:54Z] , tarball_url : &quot;https://api.github.com/repos/elixir-lang/elixir/tarball/v1.12.1&quot; , url : &quot;https://github.com/elixir-lang/elixir/releases/tag/v1.12.1&quot; , version : # Version &lt; 1.12 . 1 &gt; , zipball_url : &quot;https://api.github.com/repos/elixir-lang/elixir/zipball/v1.12.1&quot; } , ... }","ref":"BeamMeta.Release.Elixir.html#releases/0","title":"BeamMeta.Release.Elixir.releases/0","type":"function"},{"doc":"Returns a list with all the Elixir versions since v1.0.0. The list contains the versions in the Version.t/0 format, sorted ascendenly. Examples: &gt; BeamMeta.Release.Elixir . versions ( ) [ # Version &lt; 1.0 . 0 &gt; , # Version &lt; 1.0 . 1 &gt; , # Version &lt; 1.0 . 2 &gt; , # Version &lt; 1.0 . 3 &gt; , # Version &lt; 1.0 . 4 &gt; , # Version &lt; 1.0 . 5 &gt; , # Version &lt; 1.1 . 0 &gt; , # Version &lt; 1.1 . 1 &gt; , # Version &lt; 1.2 . 0 &gt; , # Version &lt; 1.2 . 1 &gt; , # Version &lt; 1.2 . 2 &gt; , # Version &lt; 1.2 . 3 &gt; , # Version &lt; 1.2 . 4 &gt; , # Version &lt; 1.2 . 5 &gt; , # Version &lt; 1.2 . 6 &gt; , ... ]","ref":"BeamMeta.Release.Elixir.html#versions/0","title":"BeamMeta.Release.Elixir.versions/0","type":"function"},{"doc":"Returns a list Elixir versions since v1.0.0, according to kind . The list contains the versions in the Version.t/0 format, sorted ascendenly. kind can be: :release :prerelease Examples &gt; BeamMeta.Release.Elixir . versions ( :release ) [ # Version &lt; 1.0 . 0 &gt; , # Version &lt; 1.0 . 1 &gt; , # Version &lt; 1.0 . 2 &gt; , # Version &lt; 1.0 . 3 &gt; , # Version &lt; 1.0 . 4 &gt; , # Version &lt; 1.0 . 5 &gt; , # Version &lt; 1.1 . 0 &gt; , # Version &lt; 1.1 . 1 &gt; , # Version &lt; 1.2 . 0 &gt; , # Version &lt; 1.2 . 1 &gt; , # Version &lt; 1.2 . 2 &gt; , # Version &lt; 1.2 . 3 &gt; , # Version &lt; 1.2 . 4 &gt; , # Version &lt; 1.2 . 5 &gt; , # Version &lt; 1.2 . 6 &gt; , ... ] &gt; BeamMeta.Release.Elixir . versions ( :prerelease ) [ # Version &lt; 1.3 . 0 - rc . 0 &gt; , # Version &lt; 1.3 . 0 - rc . 1 &gt; , # Version &lt; 1.4 . 0 - rc . 0 &gt; , # Version &lt; 1.4 . 0 - rc . 1 &gt; , # Version &lt; 1.5 . 0 - rc . 0 &gt; , # Version &lt; 1.5 . 0 - rc . 1 &gt; , # Version &lt; 1.5 . 0 - rc . 2 &gt; , # Version &lt; 1.6 . 0 - rc . 0 &gt; , # Version &lt; 1.6 . 0 - rc . 1 &gt; , # Version &lt; 1.7 . 0 - rc . 0 &gt; , # Version &lt; 1.7 . 0 - rc . 1 &gt; , # Version &lt; 1.8 . 0 - rc . 0 &gt; , ... ]","ref":"BeamMeta.Release.Elixir.html#versions/1","title":"BeamMeta.Release.Elixir.versions/1","type":"function"},{"doc":"A map that information related to a release in GitHub. This information is originally provided by BeamLangsMetaData.elixir_releases/0 and is transformed.","ref":"BeamMeta.Release.Elixir.html#t:release_data/0","title":"BeamMeta.Release.Elixir.release_data/0","type":"type"},{"doc":"A release version. It could it be a Version.t/0 or a string representation of this one, for example: #Version&lt;1.0.0&gt; or &quot;1.13.0&quot; .","ref":"BeamMeta.Release.Elixir.html#t:version/0","title":"BeamMeta.Release.Elixir.version/0","type":"type"},{"doc":"A release version requirement. It could it be a Version.Requirement.t/0 or a string representation of this one, for example: #Version.Requirement&lt;&quot;~&gt; 24.0&quot;&gt; or &quot;~&gt; 1.13&quot; .","ref":"BeamMeta.Release.Elixir.html#t:version_requirement/0","title":"BeamMeta.Release.Elixir.version_requirement/0","type":"type"},{"doc":"Functions for retrieving information related to Erlang/OTP releases. This module does not deal with releases prior to version OTP 17.","ref":"BeamMeta.Release.Otp.html","title":"BeamMeta.Release.Otp","type":"module"},{"doc":"Returns the latest stable Erlang/OTP version. Examples &gt; BeamMeta.Release.Otp . latest_version ( ) # Version &lt; 24.2 . 0 &gt;","ref":"BeamMeta.Release.Otp.html#latest_version/0","title":"BeamMeta.Release.Otp.latest_version/0","type":"function"},{"doc":"Returns a map which contains all the information that we find relevant from releases data. Includes data from final releases and preseleases starting from OTP 17. Examples &gt; BeamMeta.Release.Otp . release_data ( ) [ &quot;17.0&quot; : %{ assets : [ doc_html : %{ content_type : &quot;application/gzip&quot; , name : &quot;otp_doc_html_17.0.tar.gz&quot; , url : &quot;https://erlang.org/download/otp_doc_html_17.0.tar.gz&quot; } , doc_man : %{ content_type : &quot;application/gzip&quot; , name : &quot;otp_doc_man_17.0.tar.gz&quot; , url : &quot;https://erlang.org/download/otp_doc_man_17.0.tar.gz&quot; } , win32 : %{ content_type : &quot;application/octet-stream&quot; , name : &quot;otp_win32_17.0.exe&quot; , url : &quot;https://erlang.org/download/otp_win32_17.0.exe&quot; } , win64 : %{ content_type : &quot;application/octet-stream&quot; , name : &quot;otp_win64_17.0.exe&quot; , url : &quot;https://erlang.org/download/otp_win64_17.0.exe&quot; } ] , latest? : false , version : # Version &lt; 17.0 . 0 &gt; } , &quot;17.0.1&quot; : %{ latest? : false , version : # Version &lt; 17.0 . 1 &gt; } , &quot;17.0.2&quot; : %{ latest? : false , version : # Version &lt; 17.0 . 2 &gt; } , &quot;17.1&quot; : %{ assets : [ doc_html : %{ ... } , doc_man : %{ ... } , win32 : %{ ... } , win64 : %{ ... } , ] , latest? : false , version : # Version &lt; 17.1 . 0 &gt; } , ... , &quot;24.1.7&quot; : %{ assets : [ doc_html : %{ ... } , doc_man : %{ ... } , win32 : %{ ... } , win64 : %{ ... } , ] , latest? : false , published_at : ~U[2021-11-22 09:04:55Z] , url : &quot;https://github.com/erlang/otp/releases/tag/OTP-24.1.7&quot; , version : # Version &lt; 24.1 . 7 &gt; } , &quot;24.2&quot; : %{ assets : [ doc_html : %{ ... } , doc_man : %{ ... } , win32 : %{ ... } , win64 : %{ ... } , ] , latest? : true , published_at : ~U[2021-12-15 14:31:36Z] , url : &quot;https://github.com/erlang/otp/releases/tag/OTP-24.2&quot; , version : # Version &lt; 24.2 . 0 &gt; } ]","ref":"BeamMeta.Release.Otp.html#release_data/0","title":"BeamMeta.Release.Otp.release_data/0","type":"function"},{"doc":"Convert an Erlang/OTP version to the original string representation. Examples iex&gt; Version . parse! ( &quot;23.3.4-10&quot; ) |&gt; BeamMeta.Release.Otp . to_original_string ( ) &quot;23.3.4.10&quot; iex&gt; Version . parse! ( &quot;23.3.4-10.3&quot; ) |&gt; BeamMeta.Release.Otp . to_original_string ( ) &quot;23.3.4.10.3&quot; iex&gt; Version . parse! ( &quot;25.0.0-rc0&quot; ) |&gt; BeamMeta.Release.Otp . to_original_string ( ) &quot;25.0.0-rc0&quot;","ref":"BeamMeta.Release.Otp.html#to_original_string/1","title":"BeamMeta.Release.Otp.to_original_string/1","type":"function"},{"doc":"Returns a list with all the Erlang/OTP versions since OTP 17. The list contains the versions in string format, sorted ascendenly. Examples: &gt; BeamMeta.Release.Otp . versions ( ) [ &quot;17.0&quot; , &quot;17.0.1&quot; , &quot;17.0.2&quot; , &quot;17.1&quot; , &quot;17.1.1&quot; , &quot;17.1.2&quot; , &quot;17.2&quot; , &quot;17.2.1&quot; , &quot;17.2.2&quot; , &quot;17.3&quot; , &quot;17.3.1&quot; , &quot;17.3.2&quot; , &quot;17.3.3&quot; , &quot;17.3.4&quot; , &quot;17.4&quot; , &quot;17.4.1&quot; , &quot;17.5&quot; , &quot;17.5.1&quot; , &quot;17.5.2&quot; , &quot;17.5.3&quot; , &quot;17.5.4&quot; , &quot;17.5.5&quot; , &quot;17.5.6&quot; , ... ]","ref":"BeamMeta.Release.Otp.html#versions/0","title":"BeamMeta.Release.Otp.versions/0","type":"function"},{"doc":"","ref":"BeamMeta.Release.Otp.html#t:asset/0","title":"BeamMeta.Release.Otp.asset/0","type":"type"},{"doc":"","ref":"BeamMeta.Release.Otp.html#t:asset_data/0","title":"BeamMeta.Release.Otp.asset_data/0","type":"type"},{"doc":"A map that information related to a release in GitHub. This information is originally provided by BeamLangsMetaData.otp_releases/0 and is transformed.","ref":"BeamMeta.Release.Otp.html#t:release_data/0","title":"BeamMeta.Release.Otp.release_data/0","type":"type"},{"doc":"An Erlang/OTP release version. For example: #Version&lt;24.2.0&gt; .","ref":"BeamMeta.Release.Otp.html#t:version/0","title":"BeamMeta.Release.Otp.version/0","type":"type"},{"doc":"BeamMeta is a library to programmatically retrieve information related to the Elixir language. So far the library has the following submodules: BeamMeta.Compatibility : compatibility between Elixir and Erlang/OTP versions. BeamMeta.Release : all the information related to releases such as published versions, release condidates, latest Elixir version, etc. Additionally, there is a sister library called BeamLangsMetaData which contains the up-to-date data and one which this library builds on such as the compatibility tables, and release information.","ref":"readme.html","title":"Readme","type":"extras"},{"doc":"This source code is freely available at https://github.com/eksperimental/beam_meta Packages are regularly updated. All published packages can be found on Hex: https://hex.pm/packages/beam_meta","ref":"readme.html#repository-and-packages","title":"Readme - Repository and Packages","type":"extras"},{"doc":"The package can be installed by adding beam_meta to your list of dependencies in mix.exs : def deps do [ { :beam_meta , &quot;~&gt; 0.1.0&quot; } , ] end","ref":"readme.html#installation","title":"Readme - Installation","type":"extras"},{"doc":"Online documentation can be found at https://hexdocs.pm/beam_meta","ref":"readme.html#documentation","title":"Readme - Documentation","type":"extras"},{"doc":"Feel free to open up an issue https://github.com/eksperimental/beam_meta/issues with your request.","ref":"readme.html#feature-requests","title":"Readme - Feature Requests","type":"extras"},{"doc":"Run git clone install the repository locally. You can run the following tasks by running: mix setup mix validate mix all Run tests by executing: mix test","ref":"readme.html#development","title":"Readme - Development","type":"extras"},{"doc":"I am planning to include more functions in the Erlang/OTP releases, same as we do for Elixir.","ref":"readme.html#future-plans","title":"Readme - Future Plans","type":"extras"},{"doc":"Eksperimental &lt;eskperimental (at) autistici (dot) org&gt;","ref":"readme.html#contact","title":"Readme - Contact","type":"extras"},{"doc":"No Copyright This work is released to the Public Domain and multi-licensed under the Creative Commons Zero Universal version 1.0 license , the MIT No Attribution license , and the BSD Zero Clause license . You can choose between one of them if you use this work. The author, Eksperimental has dedicated the work to the public domain by waiving all copyright and related or neighboring rights to this work worldwide under copyright law including all related and neighboring rights, to the extent allowed by law. You can copy, modify, distribute and create derivative work, even for commercial purposes, all without asking permission. Giving credits is appreciated though; you may link to this repository if you wish. Check the LICENSES/LICENSE.CC0-1.0.txt , LICENSES/LICENSE.MIT-0.txt , LICENSES/LICENSE.0BSD.txt files for more information. SPDX-License-Identifier: CC0-1.0 or MIT-0 or 0BSD","ref":"readme.html#license","title":"Readme - License","type":"extras"},{"doc":"Creative Commons Legal Code CC0 1.0 Universal CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DOCUMENT DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS PROVIDED HEREUNDER, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS PROVIDED HEREUNDER. Statement of Purpose The laws of most jurisdictions throughout the world automatically confer exclusive Copyright and Related Rights (defined below) upon the creator and subsequent owner(s) (each and all, an &quot;owner&quot;) of an original work of authorship and/or a database (each, a &quot;Work&quot;). Certain owners wish to permanently relinquish those rights to a Work for the purpose of contributing to a commons of creative, cultural and scientific works (&quot;Commons&quot;) that the public can reliably and without fear of later claims of infringement build upon, modify, incorporate in other works, reuse and redistribute as freely as possible in any form whatsoever and for any purposes, including without limitation commercial purposes. These owners may contribute to the Commons to promote the ideal of a free culture and the further production of creative, cultural and scientific works, or to gain reputation or greater distribution for their Work in part through the use and efforts of others. For these and/or other purposes and motivations, and without any expectation of additional consideration or compensation, the person associating CC0 with a Work (the &quot;Affirmer&quot;), to the extent that he or she is an owner of Copyright and Related Rights in the Work, voluntarily elects to apply CC0 to the Work and publicly distribute the Work under its terms, with knowledge of his or her Copyright and Related Rights in the Work and the meaning and intended legal effect of CC0 on those rights. 1. Copyright and Related Rights. A Work made available under CC0 may be protected by copyright and related or neighboring rights (&quot;Copyright and Related Rights&quot;). Copyright and Related Rights include, but are not limited to, the following: i. the right to reproduce, adapt, distribute, perform, display, communicate, and translate a Work; ii. moral rights retained by the original author(s) and/or performer(s); iii. publicity and privacy rights pertaining to a person's image or likeness depicted in a Work; iv. rights protecting against unfair competition in regards to a Work, subject to the limitations in paragraph 4(a), below; v. rights protecting the extraction, dissemination, use and reuse of data in a Work; vi. database rights (such as those arising under Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, and under any national implementation thereof, including any amended or successor version of such directive); and vii. other similar, equivalent or corresponding rights throughout the world based on applicable law or treaty, and any national implementations thereof. 2. Waiver. To the greatest extent permitted by, but not in contravention of, applicable law, Affirmer hereby overtly, fully, permanently, irrevocably and unconditionally waives, abandons, and surrenders all of Affirmer's Copyright and Related Rights and associated claims and causes of action, whether now known or unknown (including existing as well as future claims and causes of action), in the Work (i) in all territories worldwide, (ii) for the maximum duration provided by applicable law or treaty (including future time extensions), (iii) in any current or future medium and for any number of copies, and (iv) for any purpose whatsoever, including without limitation commercial, advertising or promotional purposes (the &quot;Waiver&quot;). Affirmer makes the Waiver for the benefit of each member of the public at large and to the detriment of Affirmer's heirs and successors, fully intending that such Waiver shall not be subject to revocation, rescission, cancellation, termination, or any other legal or equitable action to disrupt the quiet enjoyment of the Work by the public as contemplated by Affirmer's express Statement of Purpose. 3. Public License Fallback. Should any part of the Waiver for any reason be judged legally invalid or ineffective under applicable law, then the Waiver shall be preserved to the maximum extent permitted taking into account Affirmer's express Statement of Purpose. In addition, to the extent the Waiver is so judged Affirmer hereby grants to each affected person a royalty-free, non transferable, non sublicensable, non exclusive, irrevocable and unconditional license to exercise Affirmer's Copyright and Related Rights in the Work (i) in all territories worldwide, (ii) for the maximum duration provided by applicable law or treaty (including future time extensions), (iii) in any current or future medium and for any number of copies, and (iv) for any purpose whatsoever, including without limitation commercial, advertising or promotional purposes (the &quot;License&quot;). The License shall be deemed effective as of the date CC0 was applied by Affirmer to the Work. Should any part of the License for any reason be judged legally invalid or ineffective under applicable law, such partial invalidity or ineffectiveness shall not invalidate the remainder of the License, and in such case Affirmer hereby affirms that he or she will not (i) exercise any of his or her remaining Copyright and Related Rights in the Work or (ii) assert any associated claims and causes of action with respect to the Work, in either case contrary to Affirmer's express Statement of Purpose. 4. Limitations and Disclaimers. a. No trademark or patent rights held by Affirmer are waived, abandoned, surrendered, licensed or otherwise affected by this document. b. Affirmer offers the Work as-is and makes no representations or warranties of any kind concerning the Work, express, implied, statutory or otherwise, including without limitation warranties of title, merchantability, fitness for a particular purpose, non infringement, or the absence of latent or other defects, accuracy, or the present or absence of errors, whether or not discoverable, all to the greatest extent permissible under applicable law. c. Affirmer disclaims responsibility for clearing rights of other persons that may apply to the Work or any use thereof, including without limitation any person's Copyright and Related Rights in the Work. Further, Affirmer disclaims responsibility for obtaining any necessary consents, permissions or other rights required for any use of the Work. d. Affirmer understands and acknowledges that Creative Commons is not a party to this document and has no duty or obligation with respect to this CC0 or use of the Work.","ref":"license_CC0-1.0.html","title":"Creative Commons Zero Universal version 1.0 License","type":"extras"},{"doc":"MIT No Attribution Copyright 2022 Eksperimental &lt;https://github.com/eksperimental&gt; Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license_MIT-0.html","title":"MIT No Attribution License","type":"extras"},{"doc":"The BSD Zero Clause License (0BSD) Copyright (c) 2022 Eksperimental &lt;https://github.com/eksperimental&gt; Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted. THE SOFTWARE IS PROVIDED &quot;AS IS&quot; AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.","ref":"license_0BSD.html","title":"BSD Zero Clause License","type":"extras"}]